Index: src/other/tcl/CMakeLists.txt
===================================================================
--- src/other/tcl/CMakeLists.txt	(revision 54114)
+++ src/other/tcl/CMakeLists.txt	(working copy)
@@ -37,13 +37,13 @@
 # *******************************************************************
 
 # Minimum required version of CMake
-CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
-IF(COMMAND CMAKE_POLICY)
-  CMAKE_POLICY(SET CMP0003 NEW)
-ENDIF(COMMAND CMAKE_POLICY)
+cmake_minimum_required(VERSION 2.8)
+if(COMMAND CMAKE_POLICY)
+  cmake_policy(SET CMP0003 NEW)
+endif(COMMAND CMAKE_POLICY)
 
 # Set CMake project name
-PROJECT(TCL)
+project(TCL)
 
 # build shared libs by default
 set(BUILD_SHARED_LIBS ON)
@@ -52,16 +52,16 @@
 set(BUILD_STATIC_LIBS ON)
 
 # version numbers
-SET(TCL_VERSION_MAJOR 8)
-SET(TCL_VERSION_MINOR 5)
-SET(TCL_VERSION_PATCH 9)
+set(TCL_VERSION_MAJOR 8)
+set(TCL_VERSION_MINOR 5)
+set(TCL_VERSION_PATCH 9)
 
-SET(TCL_VERSION "${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR}.${TCL_VERSION_PATCH}")
+set(TCL_VERSION "${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR}.${TCL_VERSION_PATCH}")
 
 # For Windows, we need the Resource Compiler language
-IF(WIN32)
-  ENABLE_LANGUAGE(RC)
-ENDIF(WIN32)
+if(WIN32)
+  enable_language(RC)
+endif(WIN32)
 
 #---------------------------------------------------------------------
 # The following logic is what allows binaries to run successfully in
@@ -69,63 +69,63 @@
 # identifying the necessity of setting CMAKE_INSTALL_NAME_DIR on OSX.
 
 # use, i.e. don't skip the full RPATH for the build tree
-SET(CMAKE_SKIP_BUILD_RPATH  FALSE)
+set(CMAKE_SKIP_BUILD_RPATH  FALSE)
 
 # when building, don't use the install RPATH already
 # (but later on when installing)
-SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
+set(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
 
 # the RPATH/INSTALL_NAME_DIR to be used when installing
 if (NOT APPLE)
-  SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib:\$ORIGIN/../lib")
+  set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib:\$ORIGIN/../lib")
 endif(NOT APPLE)
-SET(CMAKE_INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib")
+set(CMAKE_INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib")
 
 # add the automatically determined parts of the RPATH which point to
 # directories outside the build tree to the install RPATH
-SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
+set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
 
 #----------------------------------------------------------------------------
 # The location in which to install Tcl.  Only do this if CMAKE_INSTALL_PREFIX 
 # hasn't been set already, to try and allow parent builds (if any) some control.
-IF(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
-  IF(NOT WIN32)
-    IF ("${CMAKE_BUILD_TYPE}" MATCHES "Debug")
-      SET(CMAKE_INSTALL_PREFIX "/usr/local/tcldev-${TCL_VERSION}")
-    ELSE ("${CMAKE_BUILD_TYPE}" MATCHES "Debug")
-      SET(CMAKE_INSTALL_PREFIX "/usr")
-    ENDIF ("${CMAKE_BUILD_TYPE}" MATCHES "Debug")
-  ENDIF(NOT WIN32)
-  SET(CMAKE_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX} CACHE STRING "TCL install prefix" FORCE)
-  SET(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT 0)
-ENDIF(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
+if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
+  if(NOT WIN32)
+    if ("${CMAKE_BUILD_TYPE}" MATCHES "Debug")
+      set(CMAKE_INSTALL_PREFIX "/usr/local/tcldev-${TCL_VERSION}")
+    else ("${CMAKE_BUILD_TYPE}" MATCHES "Debug")
+      set(CMAKE_INSTALL_PREFIX "/usr")
+    endif ("${CMAKE_BUILD_TYPE}" MATCHES "Debug")
+  endif(NOT WIN32)
+  set(CMAKE_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX} CACHE STRING "TCL install prefix" FORCE)
+  set(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT 0)
+endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
 
 #-----------------------------------------------------------------------------
 # Output directories.
 
-IF(NOT CMAKE_LIBRARY_OUTPUT_DIRECTORY)
-  SET(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib CACHE INTERNAL "Single output directory for building all libraries.")
-ENDIF(NOT CMAKE_LIBRARY_OUTPUT_DIRECTORY)
-IF(NOT CMAKE_ARCHIVE_OUTPUT_DIRECTORY)
-  SET(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib CACHE INTERNAL "Single output directory for building all archives.")
-ENDIF(NOT CMAKE_ARCHIVE_OUTPUT_DIRECTORY)
-IF(NOT CMAKE_RUNTIME_OUTPUT_DIRECTORY)
-  SET(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin CACHE INTERNAL "Single output directory for building all executables.")
-ENDIF(NOT CMAKE_RUNTIME_OUTPUT_DIRECTORY)
+if(NOT CMAKE_LIBRARY_OUTPUT_DIRECTORY)
+  set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib CACHE INTERNAL "Single output directory for building all libraries.")
+endif(NOT CMAKE_LIBRARY_OUTPUT_DIRECTORY)
+if(NOT CMAKE_ARCHIVE_OUTPUT_DIRECTORY)
+  set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib CACHE INTERNAL "Single output directory for building all archives.")
+endif(NOT CMAKE_ARCHIVE_OUTPUT_DIRECTORY)
+if(NOT CMAKE_RUNTIME_OUTPUT_DIRECTORY)
+  set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin CACHE INTERNAL "Single output directory for building all executables.")
+endif(NOT CMAKE_RUNTIME_OUTPUT_DIRECTORY)
 
 #-----------------------------------------------------------------------------
 # Set CMake module path
-SET(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH};${TCL_SOURCE_DIR}/CMake")
+set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH};${TCL_SOURCE_DIR}/CMake")
 
 #-----------------------------------------------------------------------------
 # Tcl/Tk's normal build system uses autotools macros, referred to as the
 # TEA system.  An attempt to duplicate the required functionality from
 # TEA is found in tcl.cmake
-INCLUDE(${TCL_SOURCE_DIR}/CMake/tcl.cmake)
+include(${TCL_SOURCE_DIR}/CMake/tcl.cmake)
 
 #-----------------------------------------------------------------------------
 # Our replacement for SC_CONFIG_MANPAGES
-ADD_SUBDIRECTORY(doc)
+add_subdirectory(doc)
 
 #----------------------------------------------------------------------------
 # Define some standard configuration settings passed to all Tcl build targets
@@ -140,7 +140,7 @@
 
 # First, get some standard settings out of the way
 # Assume we have STDC_HEADERS until we meet a situation where we don't
-ADD_TCL_CFLAG(STDC_HEADERS)
+add_tcl_cflag(STDC_HEADERS)
 # Get the SHLIB extension from CMake
 add_definitions(-DTCL_SHLIB_EXT="${CMAKE_SHARED_LIBRARY_SUFFIX}")
 
@@ -149,124 +149,124 @@
 # Define some platform specific flags
 
 # Windows specific flags
-IF(WIN32)
+if(WIN32)
   add_definitions(-D_CRT_SECURE_NO_DEPRECATE -D_CRT_NONSTDC_NO_DEP -Ot -Oi -fp:strict -Gs -GS -GL -MD)
   add_definitions(-DTCL_PIPE_DLL="tclpip${TCL_VERSION_MAJOR}${TCL_VERSION_MINOR}.dll")
   add_definitions(-Dinline=__inline -DBUILD_tcl)
-ENDIF(WIN32)
+endif(WIN32)
 
-IF(APPLE)
-  ADD_TCL_CFLAG(MAC_OSX_TCL)
-ENDIF(APPLE)
+if(APPLE)
+  add_tcl_cflag(MAC_OSX_TCL)
+endif(APPLE)
 #----------------------------------------------------------------------------
 
 
 #--------------------------------------------------------------------
 # Supply substitutes for missing POSIX header files.
 #--------------------------------------------------------------------
-SC_MISSING_POSIX_HEADERS()
+sc_missing_posix_headers()
 
 #------------------------------------------------------------------------
 # Check if the compiler understands -pipe.  If so, use it.
 # It makes compiling go faster.  (This is only a performance feature.)
 #------------------------------------------------------------------------
-INCLUDE(CheckCCompilerFlag)
-CHECK_C_COMPILER_FLAG(-pipe PIPE_COMPILER_FLAG)
-IF(PIPE_COMPILER_FLAG)
-  SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -pipe")
-ENDIF(PIPE_COMPILER_FLAG)
+include(CheckCCompilerFlag)
+check_c_compiler_flag(-pipe PIPE_COMPILER_FLAG)
+if(PIPE_COMPILER_FLAG)
+  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -pipe")
+endif(PIPE_COMPILER_FLAG)
 
 #------------------------------------------------------------------------
 # Threads support
 #------------------------------------------------------------------------
-SC_ENABLE_THREADS()
+sc_enable_threads()
 
 #------------------------------------------------------------------------
 # Embedded configuration information, encoding to use for the values, TIP #59
 #------------------------------------------------------------------------
-SC_TCL_CFG_ENCODING()
+sc_tcl_cfg_encoding()
 
 #--------------------------------------------------------------------
 # Look for libraries that we will need when compiling the Tcl shell
 #--------------------------------------------------------------------
-SC_TCL_LINK_LIBS()
+sc_tcl_link_libs()
 
 # Add the Threading library, if we're using it
-SET(TCL_LINK_LIBS ${TCL_LINK_LIBS} ${TCL_THREADS_LIB})
+set(TCL_LINK_LIBS ${TCL_LINK_LIBS} ${TCL_THREADS_LIB})
 
 # Same for the math library
-SET(TCL_LINK_LIBS ${TCL_LINK_LIBS} ${M_LIBRARY})
+set(TCL_LINK_LIBS ${TCL_LINK_LIBS} ${M_LIBRARY})
 
 # TODO - look over SC_ENABLE_SHARED, SC_CONFIG_CFLAGS and SC_ENABLE_SYMBOLS
 # need to decide how much of that logic is needed.  Clearly we need SOME
 # of it.
 
 # Load and Unload
-OPTION(TCL_ENABLE_LOAD "Enable dynamic loading" ON)
-IF(TCL_ENABLE_LOAD)
-  CHECK_LIBRARY_EXISTS(dl dlopen "" HAVE_DL_LIBRARY)
-  IF(HAVE_DL_LIBRARY)
-    RESOLVE_LIBRARIES(DL_LIBRARY "-ldl")
-  ENDIF(HAVE_DL_LIBRARY)
-ENDIF(TCL_ENABLE_LOAD)
+option(TCL_ENABLE_LOAD "Enable dynamic loading" ON)
+if(TCL_ENABLE_LOAD)
+  check_library_exists(dl dlopen "" HAVE_DL_LIBRARY)
+  if(HAVE_DL_LIBRARY)
+    resolve_libraries(DL_LIBRARY "-ldl")
+  endif(HAVE_DL_LIBRARY)
+endif(TCL_ENABLE_LOAD)
 
-OPTION(TCL_ENABLE_DLL_UNLOADING "Allow unloading of shared libraries" ON)
-IF(TCL_ENABLE_DLL_UNLOADING)
-  ADD_TCL_CFLAG(TCL_UNLOAD_DLLS)
-ENDIF(TCL_ENABLE_DLL_UNLOADING)
+option(TCL_ENABLE_DLL_UNLOADING "Allow unloading of shared libraries" ON)
+if(TCL_ENABLE_DLL_UNLOADING)
+  add_tcl_cflag(TCL_UNLOAD_DLLS)
+endif(TCL_ENABLE_DLL_UNLOADING)
 
 # CoreFoundation check.  TODO - check for 64-bit stuff at some point
-IF(APPLE)
-  OPTION(TCL_ENABLE_COREFOUNDATION "Use CoreFoundation" ON)
-  IF(TCL_ENABLE_COREFOUNDATION)
-    INCLUDE(CMakeFindFrameworks)
-    CMAKE_FIND_FRAMEWORKS(CoreFoundation)
-    IF(CoreFoundation_FRAMEWORKS)
-      SET(CoreFoundation_LIBRARIES "-framework CoreFoundation")
-      ADD_TCL_CFLAG(HAVE_COREFOUNDATION)
-    ENDIF(CoreFoundation_FRAMEWORKS)
-  ENDIF(TCL_ENABLE_COREFOUNDATION)
-ENDIF(APPLE)
+if(APPLE)
+  option(TCL_ENABLE_COREFOUNDATION "Use CoreFoundation" ON)
+  if(TCL_ENABLE_COREFOUNDATION)
+    include(CMakeFindFrameworks)
+    cmake_find_frameworks(CoreFoundation)
+    if(CoreFoundation_FRAMEWORKS)
+      set(CoreFoundation_LIBRARIES "-framework CoreFoundation")
+      add_tcl_cflag(HAVE_COREFOUNDATION)
+    endif(CoreFoundation_FRAMEWORKS)
+  endif(TCL_ENABLE_COREFOUNDATION)
+endif(APPLE)
 
 #----------------------------------------------------------------------------
 # Tom's math library - should MP_PREC be an option?
 #----------------------------------------------------------------------------
-OPTION(TCL_TOMMATH "Enable Tom's Math Library" ON)
-IF(TCL_TOMMATH)
-  ADD_TCL_CFLAG(TCL_TOMMATH)
+option(TCL_TOMMATH "Enable Tom's Math Library" ON)
+if(TCL_TOMMATH)
+  add_tcl_cflag(TCL_TOMMATH)
   add_definitions(-DMP_PREC=4)
-ENDIF(TCL_TOMMATH)
+endif(TCL_TOMMATH)
 
 #----------------------------------------------------------------------------
 # 64-bit support - unlike TEA, we enable by default if the platform looks
 # like it's 64-bit.  Can be overridden by specifying CMAKE_WORD_SIZE=32BIT
 #----------------------------------------------------------------------------
-SC_TCL_64BIT_FLAGS()
+sc_tcl_64bit_flags()
 
 #----------------------------------------------------------------------------
 # Add options for optimized and debug compile options - replaces 
 # SC_ENABLE_SYMBOLS
 #----------------------------------------------------------------------------
-OPTION(TCL_OPTIMIZED "Built optimized Tcl" ON)
-IF(TCL_OPTIMIZED)
-  ADD_TCL_CFLAG(TCL_CFG_OPTIMIZED)
-  SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DNDEBUG -O2")
-ENDIF(TCL_OPTIMIZED)
+option(TCL_OPTIMIZED "Built optimized Tcl" ON)
+if(TCL_OPTIMIZED)
+  add_tcl_cflag(TCL_CFG_OPTIMIZED)
+  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DNDEBUG -O2")
+endif(TCL_OPTIMIZED)
 
-OPTION(TCL_DEBUG "Enable Debugging" ON)
-IF(TCL_DEBUG)
-  ADD_TCL_CFLAG(TCL_CFG_DEBUG)
-ENDIF(TCL_DEBUG)
+option(TCL_DEBUG "Enable Debugging" ON)
+if(TCL_DEBUG)
+  add_tcl_cflag(TCL_CFG_DEBUG)
+endif(TCL_DEBUG)
 
-OPTION(TCL_COMPILE_DEBUG "Bytecode debugging" OFF)
-IF(TCL_COMPILE_DEBUG)
-  ADD_TCL_CFLAG(TCL_COMPILE_DEBUG)
-ENDIF(TCL_COMPILE_DEBUG)
+option(TCL_COMPILE_DEBUG "Bytecode debugging" OFF)
+if(TCL_COMPILE_DEBUG)
+  add_tcl_cflag(TCL_COMPILE_DEBUG)
+endif(TCL_COMPILE_DEBUG)
 
-OPTION(TCL_COMPILE_STATS "Bytecode statistics" OFF)
-IF(TCL_COMPILE_STATS)
-  ADD_TCL_CFLAG(TCL_COMPILE_STATS)
-ENDIF(TCL_COMPILE_STATS)
+option(TCL_COMPILE_STATS "Bytecode statistics" OFF)
+if(TCL_COMPILE_STATS)
+  add_tcl_cflag(TCL_COMPILE_STATS)
+endif(TCL_COMPILE_STATS)
 
 
 #--------------------------------------------------------------------
@@ -274,118 +274,118 @@
 #       Tcl_UniChar strings to memcmp on big-endian systems.
 #--------------------------------------------------------------------
 # Test endianness 
-IF(NOT MSVC)
-  INCLUDE(TestBigEndian)
-  TEST_BIG_ENDIAN(WORDS_BIGENDIAN)
-  IF(WORDS_BIGENDIAN)
-    ADD_TCL_CFLAG(WORDS_BIGENDIAN)
-  ENDIF(WORDS_BIGENDIAN)
-ENDIF(NOT MSVC)
+if(NOT MSVC)
+  include(TestBigEndian)
+  test_big_endian(WORDS_BIGENDIAN)
+  if(WORDS_BIGENDIAN)
+    add_tcl_cflag(WORDS_BIGENDIAN)
+  endif(WORDS_BIGENDIAN)
+endif(NOT MSVC)
 
 #--------------------------------------------------------------------
 #       Supply substitutes for missing POSIX library procedures, or
 #       set flags so Tcl uses alternate procedures.
 #--------------------------------------------------------------------
-TCL_CHECK_FUNCTION_EXISTS(getcwd HAVE_GETCWD)
-IF(NOT HAVE_GETCWD)
-  TCL_CHECK_FUNCTION_EXISTS(getwd HAVE_GETWD)
-  IF(NOT HAVE_GETWD)
-    ADD_TCL_CFLAG(NO_GETWD)
-  ELSE(NOT HAVE_GETWD)
-    ADD_TCL_CFLAG(USEGETWD)
-  ENDIF(NOT HAVE_GETWD)
-ENDIF(NOT HAVE_GETCWD)
-TCL_CHECK_FUNCTION_EXISTS(mkstemp HAVE_MKSTEMP)
-IF(NOT HAVE_MKSTEMP)
-  SET(COMPAT_SRCS ${COMPAT_SRCS} compat/mkstemp.c)
-ENDIF(NOT HAVE_MKSTEMP)
-TCL_CHECK_FUNCTION_EXISTS(opendir HAVE_OPENDIR)
-IF(NOT HAVE_OPENDIR)
-  SET(COMPAT_SRCS ${COMPAT_SRCS} compat/opendir.c)
-ENDIF(NOT HAVE_OPENDIR)
-TCL_CHECK_FUNCTION_EXISTS(strtol HAVE_STRTOL)
-IF(NOT HAVE_STRTOL)
-  SET(COMPAT_SRCS ${COMPAT_SRCS} compat/strtol.c)
-ENDIF(NOT HAVE_STRTOL)
-TCL_CHECK_FUNCTION_EXISTS(waitpid HAVE_WAITPID)
-IF(NOT HAVE_WAITPID)
-  SET(COMPAT_SRCS ${COMPAT_SRCS} compat/waitpid.c)
-ENDIF(NOT HAVE_WAITPID)
-CHECK_FUNCTION_EXISTS(strerror HAVE_STRERROR)
-IF(NOT HAVE_STRERROR)
-  ADD_TCL_CFLAG(NO_STRERROR)
-ENDIF(NOT HAVE_STRERROR)
-CHECK_FUNCTION_EXISTS(wait3 HAVE_WAIT3)
-IF(NOT HAVE_WAIT3)
-  ADD_TCL_CFLAG(NO_WAIT3)
-ENDIF(NOT HAVE_WAIT3)
-CHECK_FUNCTION_EXISTS(uname HAVE_UNAME)
-IF(NOT HAVE_UNAME)
-  ADD_TCL_CFLAG(NO_UNAME)
-ENDIF(NOT HAVE_UNAME)
+tcl_check_function_exists(getcwd HAVE_GETCWD)
+if(NOT HAVE_GETCWD)
+  tcl_check_function_exists(getwd HAVE_GETWD)
+  if(NOT HAVE_GETWD)
+    add_tcl_cflag(NO_GETWD)
+  else(NOT HAVE_GETWD)
+    add_tcl_cflag(USEGETWD)
+  endif(NOT HAVE_GETWD)
+endif(NOT HAVE_GETCWD)
+tcl_check_function_exists(mkstemp HAVE_MKSTEMP)
+if(NOT HAVE_MKSTEMP)
+  set(COMPAT_SRCS ${COMPAT_SRCS} compat/mkstemp.c)
+endif(NOT HAVE_MKSTEMP)
+tcl_check_function_exists(opendir HAVE_OPENDIR)
+if(NOT HAVE_OPENDIR)
+  set(COMPAT_SRCS ${COMPAT_SRCS} compat/opendir.c)
+endif(NOT HAVE_OPENDIR)
+tcl_check_function_exists(strtol HAVE_STRTOL)
+if(NOT HAVE_STRTOL)
+  set(COMPAT_SRCS ${COMPAT_SRCS} compat/strtol.c)
+endif(NOT HAVE_STRTOL)
+tcl_check_function_exists(waitpid HAVE_WAITPID)
+if(NOT HAVE_WAITPID)
+  set(COMPAT_SRCS ${COMPAT_SRCS} compat/waitpid.c)
+endif(NOT HAVE_WAITPID)
+check_function_exists(strerror HAVE_STRERROR)
+if(NOT HAVE_STRERROR)
+  add_tcl_cflag(NO_STRERROR)
+endif(NOT HAVE_STRERROR)
+check_function_exists(wait3 HAVE_WAIT3)
+if(NOT HAVE_WAIT3)
+  add_tcl_cflag(NO_WAIT3)
+endif(NOT HAVE_WAIT3)
+check_function_exists(uname HAVE_UNAME)
+if(NOT HAVE_UNAME)
+  add_tcl_cflag(NO_UNAME)
+endif(NOT HAVE_UNAME)
 
 # Check for early Darwin version here - realpath
 # is not threadsafe prior to Darwin 7
-CHECK_FUNCTION_EXISTS(realpath HAVE_REALPATH)
-IF(${CMAKE_SYSTEM_NAME} MATCHES "^Darwin$" AND TCL_THREADS AND HAVE_REALPATH)
-  STRING(REGEX REPLACE "\\..*" "" CMAKE_SYSTEM_MAJOR_VERSION ${CMAKE_SYSTEM_VERSION})
-  IF (${CMAKE_SYSTEM_MAJOR_VERSION} LESS 7)
-    MESSAGE("realpath is not threadsafe in Darwin versions prior to 7, disabling")
-    SET(HAVE_REALPATH)
-  ENDIF (${CMAKE_SYSTEM_MAJOR_VERSION} LESS 7)
-ENDIF(${CMAKE_SYSTEM_NAME} MATCHES "^Darwin$" AND TCL_THREADS AND HAVE_REALPATH)
-IF(NOT HAVE_REALPATH)
-  ADD_TCL_CFLAG(NO_REALPATH)
-ENDIF(NOT HAVE_REALPATH)
+check_function_exists(realpath HAVE_REALPATH)
+if(${CMAKE_SYSTEM_NAME} MATCHES "^Darwin$" AND TCL_THREADS AND HAVE_REALPATH)
+  string(REGEX REPLACE "\\..*" "" CMAKE_SYSTEM_MAJOR_VERSION ${CMAKE_SYSTEM_VERSION})
+  if (${CMAKE_SYSTEM_MAJOR_VERSION} LESS 7)
+    message("realpath is not threadsafe in Darwin versions prior to 7, disabling")
+    set(HAVE_REALPATH)
+  endif (${CMAKE_SYSTEM_MAJOR_VERSION} LESS 7)
+endif(${CMAKE_SYSTEM_NAME} MATCHES "^Darwin$" AND TCL_THREADS AND HAVE_REALPATH)
+if(NOT HAVE_REALPATH)
+  add_tcl_cflag(NO_REALPATH)
+endif(NOT HAVE_REALPATH)
 
-SC_TCL_IPV6()
+sc_tcl_ipv6()
 
 #-------------------------------------------------------------------- 
 #       Look for thread-safe variants of some library functions.
 #--------------------------------------------------------------------
 
-IF(TCL_THREADS)
+if(TCL_THREADS)
 
-  SC_TCL_GETPWUID_R()
+  sc_tcl_getpwuid_r()
 
-  SC_TCL_GETPWNAM_R()
+  sc_tcl_getpwnam_r()
 
-  SC_TCL_GETGRGID_R()
+  sc_tcl_getgrgid_r()
 
-  SC_TCL_GETGRNAM_R()
+  sc_tcl_getgrnam_r()
 
-  IF(NOT HAVE_GETHOSTBYNAME)
-    CHECK_LIBRARY_EXISTS(GHBN lnsl "" gethostbyname)
-    SET(HAVE_GETHOSTBYNAME ${GHBN})
-  ENDIF(NOT HAVE_GETHOSTBYNAME)
+  if(NOT HAVE_GETHOSTBYNAME)
+    check_library_exists(GHBN lnsl "" gethostbyname)
+    set(HAVE_GETHOSTBYNAME ${GHBN})
+  endif(NOT HAVE_GETHOSTBYNAME)
 
-  SC_TCL_GETHOSTBYADDR_R()
-  SC_TCL_GETHOSTBYNAME_R()
+  sc_tcl_gethostbyaddr_r()
+  sc_tcl_gethostbyname_r()
 
-  IF(${CMAKE_SYSTEM_NAME} MATCHES "^Darwin$")
-    STRING(REGEX REPLACE "\\..*" "" CMAKE_SYSTEM_MAJOR_VERSION ${CMAKE_SYSTEM_VERSION})
-    IF (${CMAKE_SYSTEM_MAJOR_VERSION} GREATER 5)
-      ADD_TCL_CFLAG(HAVE_MTSAFE_GETHOSTBYNAME)
-      ADD_TCL_CFLAG(HAVE_MTSAFE_GETHOSTBYADDR)
-    ENDIF (${CMAKE_SYSTEM_MAJOR_VERSION} GREATER 5)
-  ENDIF(${CMAKE_SYSTEM_NAME} MATCHES "^Darwin$")
+  if(${CMAKE_SYSTEM_NAME} MATCHES "^Darwin$")
+    string(REGEX REPLACE "\\..*" "" CMAKE_SYSTEM_MAJOR_VERSION ${CMAKE_SYSTEM_VERSION})
+    if (${CMAKE_SYSTEM_MAJOR_VERSION} GREATER 5)
+      add_tcl_cflag(HAVE_MTSAFE_GETHOSTBYNAME)
+      add_tcl_cflag(HAVE_MTSAFE_GETHOSTBYADDR)
+    endif (${CMAKE_SYSTEM_MAJOR_VERSION} GREATER 5)
+  endif(${CMAKE_SYSTEM_NAME} MATCHES "^Darwin$")
 
-  IF(${CMAKE_SYSTEM_NAME} MATCHES "^HP-UX$")
-    STRING(REGEX REPLACE "\\..*" "" CMAKE_SYSTEM_MAJOR_VERSION ${CMAKE_SYSTEM_VERSION})
-    IF (${CMAKE_SYSTEM_MAJOR_VERSION} GREATER 10)
-      ADD_TCL_CFLAG(HAVE_MTSAFE_GETHOSTBYNAME)
-      ADD_TCL_CFLAG(HAVE_MTSAFE_GETHOSTBYADDR)
-    ENDIF (${CMAKE_SYSTEM_MAJOR_VERSION} GREATER 10)
-  ENDIF(${CMAKE_SYSTEM_NAME} MATCHES "^HP-UX$")
+  if(${CMAKE_SYSTEM_NAME} MATCHES "^HP-UX$")
+    string(REGEX REPLACE "\\..*" "" CMAKE_SYSTEM_MAJOR_VERSION ${CMAKE_SYSTEM_VERSION})
+    if (${CMAKE_SYSTEM_MAJOR_VERSION} GREATER 10)
+      add_tcl_cflag(HAVE_MTSAFE_GETHOSTBYNAME)
+      add_tcl_cflag(HAVE_MTSAFE_GETHOSTBYADDR)
+    endif (${CMAKE_SYSTEM_MAJOR_VERSION} GREATER 10)
+  endif(${CMAKE_SYSTEM_NAME} MATCHES "^HP-UX$")
 
-ENDIF(TCL_THREADS)
+endif(TCL_THREADS)
 
 #---------------------------------------------------------------------------
 #       Determine which interface to use to talk to the serial port.
 #       Note that #include lines must begin in leftmost column for
 #       some compilers to recognize them as preprocessor directives.
 #---------------------------------------------------------------------------
-SC_SERIAL_PORT()
+sc_serial_port()
 
 #---------------------------------------------------------------------------
 # TODO - Do we need the sys/select.h check these days?
@@ -394,30 +394,30 @@
 #------------------------------------------------------------------------------
 #       Find out all about time handling differences.
 #------------------------------------------------------------------------------
-SC_TIME_HANDLER()
+sc_time_handler()
 
 #---------------------------------------------------------------------------
 # Check for stat structure files and blkcnt_t
 #---------------------------------------------------------------------------
 
-TCL_CHECK_STRUCT_HAS_MEMBER("struct stat" st_blocks sys/stat.h	STRUCT_HAS_ST_BLOCKS)
-TCL_CHECK_STRUCT_HAS_MEMBER("struct stat" st_blksize sys/stat.h STRUCT_HAS_ST_BLKSIZE)
-CHECK_TYPE_SIZE(blkcnt_t HAVE_BLKCNT_T)
-IF(HAVE_BLKCNT_T)
-  ADD_TCL_CFLAG(HAVE_BLKCNT_T)
-ENDIF(HAVE_BLKCNT_T)
-TCL_CHECK_FUNCTION_EXISTS(fstatfs, HAVE_FSTATFS)
-IF(NOT HAVE_FSTATFS)
-  ADD_TCL_CFLAG(NO_FSTATFS)
-ENDIF(NOT HAVE_FSTATFS)
+tcl_check_struct_has_member("struct stat" st_blocks sys/stat.h	STRUCT_HAS_ST_BLOCKS)
+tcl_check_struct_has_member("struct stat" st_blksize sys/stat.h STRUCT_HAS_ST_BLKSIZE)
+check_type_size(blkcnt_t HAVE_BLKCNT_T)
+if(HAVE_BLKCNT_T)
+  add_tcl_cflag(HAVE_BLKCNT_T)
+endif(HAVE_BLKCNT_T)
+tcl_check_function_exists(fstatfs, HAVE_FSTATFS)
+if(NOT HAVE_FSTATFS)
+  add_tcl_cflag(NO_FSTATFS)
+endif(NOT HAVE_FSTATFS)
 
 #---------------------------------------------------------------------------
 # GNU manual lists AC_FUNC_MEMCMP as obsolete - just check for memcmp
 #---------------------------------------------------------------------------
-TCL_CHECK_FUNCTION_EXISTS(memcmp HAVE_MEMCMP)
-IF(NOT HAVE_MEMCMP)
-  SET(COMPAT_SRCS ${COMPAT_SRCS} compat/memcmp.c)
-ENDIF(NOT HAVE_MEMCMP)
+tcl_check_function_exists(memcmp HAVE_MEMCMP)
+if(NOT HAVE_MEMCMP)
+  set(COMPAT_SRCS ${COMPAT_SRCS} compat/memcmp.c)
+endif(NOT HAVE_MEMCMP)
 
 #---------------------------------------------------------------------------
 # Check for memmove
@@ -435,14 +435,14 @@
 #------------------------------------------------------------------------------
 # Test for broken functions.  Not clear how many of these are still needed.
 #------------------------------------------------------------------------------
-SC_TCL_CHECK_BROKEN_FUNC(
+sc_tcl_check_broken_func(
   strstr "
 	extern int strstr();
 	exit(strstr(\"\\\0test\", \"test\") ? 1 : 0);"
   )
 
 
-SC_TCL_CHECK_BROKEN_FUNC(
+sc_tcl_check_broken_func(
   strtoul "
 	extern int strtoul();
 	char *term, *string = \"0\";
@@ -450,7 +450,7 @@
   )
 
 
-SC_TCL_CHECK_BROKEN_FUNC(
+sc_tcl_check_broken_func(
   strtod "
 	extern double strtod();
 	char *term, *string = \" +69\";
@@ -465,21 +465,21 @@
 #       Check for various typedefs and provide substitutes if
 #       they don't exist.
 #--------------------------------------------------------------------
-TCL_CHECK_TYPE_SIZE(mode_t MODE)
-TCL_CHECK_TYPE_SIZE(pid_t PID)
-TCL_CHECK_TYPE_SIZE(size_t SIZE)
-TCL_CHECK_TYPE_SIZE(uid_t UID)
+tcl_check_type_size(mode_t MODE)
+tcl_check_type_size(pid_t PID)
+tcl_check_type_size(size_t SIZE)
+tcl_check_type_size(uid_t UID)
 # The following tests may need to be more elaborate to function properly
-TCL_CHECK_TYPE_SIZE(socklen_t SOCKLEN sys/types.h sys/socket.h)
-TCL_CHECK_TYPE_SIZE(intptr_t INTPTR)
-TCL_CHECK_TYPE_SIZE(uintptr_t UINTPTR)
+tcl_check_type_size(socklen_t SOCKLEN sys/types.h sys/socket.h)
+tcl_check_type_size(intptr_t INTPTR)
+tcl_check_type_size(uintptr_t UINTPTR)
 
-IF(NOT HAVE_OPENDIR)
-  ADD_TCL_CFLAG(USE_DIRENT2_H)
-ENDIF(NOT HAVE_OPENDIR)
+if(NOT HAVE_OPENDIR)
+  add_tcl_cflag(USE_DIRENT2_H)
+endif(NOT HAVE_OPENDIR)
 
 # The union wait test was for HP-UX - do we still need this?
-SET(UNION_WAIT_SRC "
+set(UNION_WAIT_SRC "
 #include <sys/types.h>
 #include <sys/wait.h>
 int
@@ -487,50 +487,50 @@
 {
 
 union wait x;
-WIFEXITED(x);           /* Generates compiler error if WIFEXITED
+wifexited(x);           /* Generates compiler error if WIFEXITED
                          * uses an int. */
 return 0;
 }
 ")
-CHECK_C_SOURCE_RUNS("${UNION_WAIT_SRC}" HAVE_UNION_WAIT)
-IF(NOT HAVE_UNION_WAIT)
-  ADD_TCL_CFLAG(NO_UNION_WAIT)
-ENDIF(NOT HAVE_UNION_WAIT)
+check_c_source_runs("${UNION_WAIT_SRC}" HAVE_UNION_WAIT)
+if(NOT HAVE_UNION_WAIT)
+  add_tcl_cflag(NO_UNION_WAIT)
+endif(NOT HAVE_UNION_WAIT)
 
 #----------------------------------------------------------------------------
 # Check for strncasecmp
 #----------------------------------------------------------------------------
-CHECK_FUNCTION_EXISTS(strncasecmp HAVE_STRNCASECMP)
-IF(NOT HAVE_STRNCASECMP)
-  CHECK_LIBRARY_EXISTS(socket strncasecmp "" HAVE_SOCKET_STRNCASECMP)
-  CHECK_LIBRARY_EXISTS(inet strncasecmp "" HAVE_INET_STRNCASECMP)
-  IF(NOT HAVE_SOCKET_STRNCASECMP AND NOT HAVE_INET_STRNCASECMP)
-    SET(COMPAT_SRCS ${COMPAT_SRCS} compat/strncasecmp.c)
-  ENDIF(NOT HAVE_SOCKET_STRNCASECMP AND NOT HAVE_INET_STRNCASECMP)
-ENDIF(NOT HAVE_STRNCASECMP)
+check_function_exists(strncasecmp HAVE_STRNCASECMP)
+if(NOT HAVE_STRNCASECMP)
+  check_library_exists(socket strncasecmp "" HAVE_SOCKET_STRNCASECMP)
+  check_library_exists(inet strncasecmp "" HAVE_INET_STRNCASECMP)
+  if(NOT HAVE_SOCKET_STRNCASECMP AND NOT HAVE_INET_STRNCASECMP)
+    set(COMPAT_SRCS ${COMPAT_SRCS} compat/strncasecmp.c)
+  endif(NOT HAVE_SOCKET_STRNCASECMP AND NOT HAVE_INET_STRNCASECMP)
+endif(NOT HAVE_STRNCASECMP)
 
 #----------------------------------------------------------------------------
 # gettimeofday issues
 #----------------------------------------------------------------------------
-TCL_CHECK_FUNCTION_EXISTS(BSDgettimeofday HAVE_BSDGETTIMEOFDAY)
-IF(NOT HAVE_BSDGETTIMEOFDAY)
-  CHECK_FUNCTION_EXISTS(gettimeofday HAVE_GETTIMEOFDAY)
-  IF(NOT HAVE_GETTIMEOFDAY)
-    ADD_TCL_CFLAG(NO_GETTOD)
-  ENDIF(NOT HAVE_GETTIMEOFDAY)
-ENDIF(NOT HAVE_BSDGETTIMEOFDAY)
-INCLUDE(CheckSymbolExists)
-CHECK_SYMBOL_EXISTS(gettimeofday "sys/time.h" IS_GETTOD_DECLARED)
-IF(NOT IS_GETTOD_DECLARED)
-  ADD_TCL_CFLAG(GETTOD_NOT_DECLARED)
-ENDIF(NOT IS_GETTOD_DECLARED)
+tcl_check_function_exists(BSDgettimeofday HAVE_BSDGETTIMEOFDAY)
+if(NOT HAVE_BSDGETTIMEOFDAY)
+  check_function_exists(gettimeofday HAVE_GETTIMEOFDAY)
+  if(NOT HAVE_GETTIMEOFDAY)
+    add_tcl_cflag(NO_GETTOD)
+  endif(NOT HAVE_GETTIMEOFDAY)
+endif(NOT HAVE_BSDGETTIMEOFDAY)
+include(CheckSymbolExists)
+check_symbol_exists(gettimeofday "sys/time.h" IS_GETTOD_DECLARED)
+if(NOT IS_GETTOD_DECLARED)
+  add_tcl_cflag(GETTOD_NOT_DECLARED)
+endif(NOT IS_GETTOD_DECLARED)
 
 
 #----------------------------------------------------------------------------
 # signed/unsigned char - does the Tcl code still need this? See
 # http://lists.gnu.org/archive/html/autoconf/2008-06/msg00054.html
 #----------------------------------------------------------------------------
-SET(unsigned_char_srcs "
+set(unsigned_char_srcs "
 int
 main ()
 {
@@ -539,11 +539,11 @@
    return 0;
 }
 ")
-CHECK_C_SOURCE_RUNS("${unsigned_char_srcs}" CHAR_IS_UNSIGNED)
-IF(CHAR_IS_UNSIGNED)
-  ADD_TCL_CFLAG(__CHAR_UNSIGNED__)
-ENDIF(CHAR_IS_UNSIGNED)
-SET(signed_char_srcs "
+check_c_source_runs("${unsigned_char_srcs}" CHAR_IS_UNSIGNED)
+if(CHAR_IS_UNSIGNED)
+  add_tcl_cflag(__CHAR_UNSIGNED__)
+endif(CHAR_IS_UNSIGNED)
+set(signed_char_srcs "
 int
 main ()
 {
@@ -552,57 +552,57 @@
 	return 0;
 }
 ")
-CHECK_C_SOURCE_COMPILES("${signed_char_srcs}" HAVE_SIGNED_CHAR)
-IF(HAVE_SIGNED_CHAR)
-  ADD_TCL_CFLAG(HAVE_SIGNED_CHAR)
-ENDIF(HAVE_SIGNED_CHAR)
+check_c_source_compiles("${signed_char_srcs}" HAVE_SIGNED_CHAR)
+if(HAVE_SIGNED_CHAR)
+  add_tcl_cflag(HAVE_SIGNED_CHAR)
+endif(HAVE_SIGNED_CHAR)
 
 #--------------------------------------------------------------------
 # Check for support of nl_langinfo function
 #--------------------------------------------------------------------
-SC_ENABLE_LANGINFO()
+sc_enable_langinfo()
 
 #--------------------------------------------------------------------
 # Check for chflags and mkstemps
 #--------------------------------------------------------------------
-TCL_CHECK_FUNCTION_EXISTS(chflags HAVE_CHFLAGS)
-TCL_CHECK_FUNCTION_EXISTS(mkstemps HAVE_MKSTEMPS)
+tcl_check_function_exists(chflags HAVE_CHFLAGS)
+tcl_check_function_exists(mkstemps HAVE_MKSTEMPS)
 
 
 #--------------------------------------------------------------------
 # Check for support of isnan() function or macro
 #--------------------------------------------------------------------
-SET(isnan_srcs "
+set(isnan_srcs "
 #include <math.h>
 int main () {
    isnan(0.0); /* Generates an error if isnan is missing */
 	return 0;
 }
 ")
-CHECK_C_SOURCE_RUNS("${isnan_srcs}" USABLE_ISNAN)
-IF(NOT USABLE_ISNAN)
-  ADD_TCL_CFLAG(NO_ISNAN)
-ENDIF(NOT USABLE_ISNAN)
+check_c_source_runs("${isnan_srcs}" USABLE_ISNAN)
+if(NOT USABLE_ISNAN)
+  add_tcl_cflag(NO_ISNAN)
+endif(NOT USABLE_ISNAN)
 
 #----------------------------------------------------------------------------
 # Darwin specific API checks and defines
 #--------------------------------------------------------------------
-IF(${CMAKE_SYSTEM_NAME} MATCHES "^Darwin$")
-  TCL_CHECK_FUNCTION_EXISTS(getattrlist HAVE_GETATTRLIST)
-  TCL_CHECK_INCLUDE_FILE(copyfile.h HAVE_COPYFILE_H)
-  TCL_CHECK_FUNCTION_EXISTS(copyfile HAVE_COPYFILE)
-  IF(${CoreFoundation_LIBRARIES})
-    TCL_CHECK_INCLUDE_FILE(libkern/OSAtomic.h HAVE_LIBKERN_OSATOMIC_H)
-    TCL_CHECK_FUNCTION_EXISTS(OSSpinLockLock HAVE_OSSPINLOCKLOCK)
-    TCL_CHECK_FUNCTION_EXISTS(pthread_atfork HAVE_PTHREAD_ATFORK)
-  ENDIF(${CoreFoundation_LIBRARIES})
-  ADD_TCL_CFLAG(USE_VFORK)
+if(${CMAKE_SYSTEM_NAME} MATCHES "^Darwin$")
+  tcl_check_function_exists(getattrlist HAVE_GETATTRLIST)
+  tcl_check_include_file(copyfile.h HAVE_COPYFILE_H)
+  tcl_check_function_exists(copyfile HAVE_COPYFILE)
+  if(${CoreFoundation_LIBRARIES})
+    tcl_check_include_file(libkern/OSAtomic.h HAVE_LIBKERN_OSATOMIC_H)
+    tcl_check_function_exists(OSSpinLockLock HAVE_OSSPINLOCKLOCK)
+    tcl_check_function_exists(pthread_atfork HAVE_PTHREAD_ATFORK)
+  endif(${CoreFoundation_LIBRARIES})
+  add_tcl_cflag(USE_VFORK)
   add_definitions(-DTCL_DEFAULT_ENCODING="utf-8")
-  ADD_TCL_CFLAG(TCL_LOAD_FROM_MEMORY)
-  ADD_TCL_CFLAG(TCL_WIDE_CLICKS)
-  TCL_CHECK_INCLUDE_FILE_USABILITY(AvailabilityMacros.h HAVE_AVAILABILITYMACROS_H)
-  IF(HAVE_AVAILABILITYMACROS_H)
-    SET(WEAK_IMPORT_SRCS "
+  add_tcl_cflag(TCL_LOAD_FROM_MEMORY)
+  add_tcl_cflag(TCL_WIDE_CLICKS)
+  tcl_check_include_file_usability(AvailabilityMacros.h HAVE_AVAILABILITYMACROS_H)
+  if(HAVE_AVAILABILITYMACROS_H)
+    set(WEAK_IMPORT_SRCS "
 #ifdef __ENVIRONMENT_MAC_OS_X_VERSION_MIN_REQUIRED__
 #if __ENVIRONMENT_MAC_OS_X_VERSION_MIN_REQUIRED__ < 1020
 #error __ENVIRONMENT_MAC_OS_X_VERSION_MIN_REQUIRED__ < 1020
@@ -616,11 +616,11 @@
 return 0;
 }
 		")
-    CHECK_C_SOURCE_COMPILES("${WEAK_IMPORT_SRCS}" WEAK_IMPORT_WORKING)
-    IF(WEAK_IMPORT_WORKING)
-      ADD_TCL_CFLAG(HAVE_WEAK_IMPORT)
-    ENDIF(WEAK_IMPORT_WORKING)
-    SET(SUSV3_SRCS "
+    check_c_source_compiles("${WEAK_IMPORT_SRCS}" WEAK_IMPORT_WORKING)
+    if(WEAK_IMPORT_WORKING)
+      add_tcl_cflag(HAVE_WEAK_IMPORT)
+    endif(WEAK_IMPORT_WORKING)
+    set(SUSV3_SRCS "
 #ifdef __ENVIRONMENT_MAC_OS_X_VERSION_MIN_REQUIRED__
 #if __ENVIRONMENT_MAC_OS_X_VERSION_MIN_REQUIRED__ < 1050
 #error __ENVIRONMENT_MAC_OS_X_VERSION_MIN_REQUIRED__ < 1050
